/**
Theme Name: CYBERsprout
Author: CYBERsprout
Author URI: https://cybersprout.net
Description: CYBERsprout\'s child theme for Astra
Version: 1.2
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: cybersprout
Template: astra
*/

/*Make Astra full width by default*/
.ast-container, .ast-woo-shop-archive .site-content > .ast-container {
max-width:100%;
}
.ast-container, #primary, .ast-plain-container #primary {
padding:0;
margin:0;
}

/* Column Classes
    Link: http://twitter.github.io/bootstrap/assets/css/bootstrap-responsive.css
--------------------------------------------- */

.one-half,
.one-third,
.one-fourth,
.one-fifth,
.one-sixth,
.two-thirds,
.two-fourths,
.two-fifths,
.two-sixths,
.three-fourths,
.three-fifths,
.three-sixths,
.four-fifths,
.four-sixths,
.five-sixths {
  float: left;
  margin-left: 2.564102564102564%;
}

.one-half,
.two-fourths,
.three-sixths {
  width: 48.717948717948715%;
}

.one-third,
.two-sixths {
  width: 31.623931623931625%;
}

.two-thirds,
.four-sixths {
  width: 65.81196581196582%;
}

.one-fourth {
  width: 23.076923076923077%;
}

.three-fourths {
  width: 74.35897435897436%;
}

.one-fifth {
  width: 17.9487184%;
}

.two-fifths {
  width: 38.4615393641026%;
}

.three-fifths {
  width: 58.9743603282051%;
}

.four-fifths {
  width: 79.4871812923077%;
}

.one-sixth {
  width: 14.52991452991453%;
}

.five-sixths {
  width: 82.90598290598291%;
}

.first {
  clear: both;
  margin-left: 0;
}

@media only screen and (max-width: 768px) {
  .one-half, .one-third, .one-fourth, .one-fifth, .one-sixth, .two-thirds, .two-fourths, .two-fifths, .two-sixths, .three-fourths, .three-fifths, .three-sixths, .four-fifths, .four-sixths, .five-sixths {
    width:100%;
	margin-left: 0;
  }
}




/* Gravity Form customization and adjustments
--------------------------------------------- */

.gform_wrapper form .gfield_required {
	color: #ffffff !important;
}

.gform_wrapper form select {
    /*padding: 7px !important;*/
}
.gform_wrapper form label.gfield_label {
    /*line-height: 32px !important;*/
}
.gform_wrapper form .ginput_container {
    /*padding-top: 2px;*/
}
.gform_wrapper form fieldset legend.gfield_label {
    line-height: 18px !important;
    margin-bottom: unset !important;
    padding: 0 !important;
}
.gform_wrapper form fieldset label {
    margin-top: -10px !important;
}
@media only screen and (min-width: 641px) {
	.gform_wrapper form li.gfield.gf_left_half {
		padding-right: 8px !important;
	}
	.gform_wrapper form li.gfield.gf_right_half {
		padding-left: 8px !important;
	}
}




/* BUTTONS
 * Used to customize or tweak and set alternative styled buttons
 * NOTE: use the Customizer to style the bulk of the site's buttons.
--------------------------------------------- */

/* BUTTON (.inverted-colors): white BG w/salmon TXT -hover- white BG w/green TXT */
/* STATIC state */
.inverted-colors a.uabb-button *,
.inverted-colors a.uabb-btn *,
.inverted-colors .fl-slide-cta-button a *,
.inverted-colors input.gform_button {
    color: #b66d4e !important;
}
.inverted-colors .uabb-creative-button-wrap a, 
.inverted-colors .uabb-creative-button-wrap a:visited,
.inverted-colors a.uabb-btn, 
.inverted-colors a.uabb-btn:visited,
.inverted-colors .fl-slide-cta-button a, 
.inverted-colors .fl-slide-cta-button a:visited,
.inverted-colors input.gform_button {
    background: none;
    background: #ffffff !important;                        /* remove if you want it transparent */
    border: 0px solid #ffffff !important;
}
/* HOVER state */
.inverted-colors a.uabb-button:hover *,
.inverted-colors a.uabb-btn:hover *,
.inverted-colors .fl-slide-cta-button a:hover *,
.inverted-colors input.gform_button:hover {
    color: #77734e !important;
}
.inverted-colors .uabb-creative-button-wrap a:hover,
.inverted-colors a.uabb-creative-transparent-btn.uabb-transparent-fade-btn:hover,
.inverted-colors a.uabb-btn:hover,
.inverted-colors .fl-slide-cta-button a:hover,
.inverted-colors input.gform_button:hover {
    background: #ffffff !important;
}
.inverted-colors .uabb-creative-button-wrap a:hover,
.inverted-colors a.uabb-btn:hover,
.inverted-colors .fl-slide-cta-button a:hover,
.inverted-colors input.gform_button:hover {
    border: 0px solid #ffffff !important;
}


/* BUTTON (.alt-colors): salmon BG w/white TXT -hover- white BG w/salmon TXT */
/* STATIC state */
.alt-colors a.uabb-button *,
.alt-colors a.uabb-btn *,
.alt-colors .fl-slide-cta-button a *,
.alt-colors input.gform_button {
    color: #ffffff !important;
}
.alt-colors .uabb-creative-button-wrap a, 
.alt-colors .uabb-creative-button-wrap a:visited,
.alt-colors a.uabb-btn, 
.alt-colors a.uabb-btn:visited,
.alt-colors .fl-slide-cta-button a, 
.alt-colors .fl-slide-cta-button a:visited,
.alt-colors input.gform_button {
    background: none;
    background: #b66d4e;                        /* remove if you want it transparent */
    border: 0px solid #b66d4e !important;
}
/* HOVER state */
.alt-colors a.uabb-button:hover *,
.alt-colors a.uabb-btn:hover *,
.alt-colors .fl-slide-cta-button a:hover *,
.alt-colors input.gform_button:hover {
    color: #b66d4e !important;
}
.alt-colors .uabb-creative-button-wrap a:hover,
.alt-colors a.uabb-creative-transparent-btn.uabb-transparent-fade-btn:hover,
.alt-colors a.uabb-btn:hover,
.alt-colors .fl-slide-cta-button a:hover,
.alt-colors input.gform_button:hover {
    background: #ffffff !important;
}
.alt-colors .uabb-creative-button-wrap a:hover,
.alt-colors a.uabb-btn:hover,
.alt-colors .fl-slide-cta-button a:hover,
.alt-colors input.gform_button:hover {
    border: 0px solid #ffffff !important;
}


/* Specialty CSS */
/* Mixins */
@mixin gradientBg($startColor, $endColor) {
	background: $startColor;
	background: -moz-linear-gradient(left,  $startColor 0%, $endColor 80%,$endColor 100%);
	background: -webkit-linear-gradient(left,  $startColor 0%, $endColor 80%,$endColor 100%);
	background: linear-gradient(to right,  $startColor 0%, $endColor 80%,$endColor 100%);
}

/* bg shortcodes */
.bg-gradient1 span,
.bg-gradient1:before {
	@include gradientBg(#EC008C, #fbb040);
}
.bg-gradient2 span,
.bg-gradient2:before {
	@include gradientBg(#44ea76, #39fad7);
}
.bg-gradient3 span,
.bg-gradient3:before {
	@include gradientBg(#fa6c9f, #ffe140);
}

/* General */
.wrapper {
  	margin: 5% auto;
	text-align: center;
	transform-style: perserve-3d;
	perspecive: 800px;
}
a {
	text-decoration: none;
  
	&:hover,
	&:focus,
	&:active {
	  text-decoration: none;
  }
}

/* fancy Button */
.fancy-button {
	display: inline-block;
	margin: 30px;
	font-family: 'Montserrat', Helvetica, Arial, sans-serif;
	font-size: 17px;
	letter-spacing: 0.03em;
	text-transform: uppercase;
	color: #ffffff;
	position: relative;
	
	&:before {
		content: '';
		display: inline-block;
		height: 40px;
		position: absolute;
		bottom: -5px;
		left: 30px;
		right: 30px;
		z-index: -1;
		border-radius: 0em;
		filter: blur(20px) brightness(0.95);
		transform-style: preserve-3d;
		transition: all 0.3s ease-out;
	}
	i {
		margin-top: -1px;
		margin-right: 20px;
		font-size: 1.265em;
		vertical-align: middle;
	}
	span {
		display: inline-block;
		padding: 18px 60px;
		border-radius: 0em;
		position: relative;
		z-index: 2;
		will-change: transform, filter;
		transform-style: preserve-3d;
		transition: all 0.3s ease-out;
	}
	&:focus,
	&:active {
		color: #ffffff;
	}
	&:hover {
		color: #ffffff;
		
		span {
			filter: brightness(1.05) contrast(1.05);
			transform: scale(0.95);
		}
		&:before {
			bottom: 0;
			filter: blur(10px) brightness(0.95);
		}
	}
	&.pop-onhover {
		
		&:before {
			opacity: 0;
			bottom: 10px;
		}
		&:hover {
			
			&:before {
				bottom: -7px;
				opacity: 1;
				filter: blur(20px);
			}
			span {
				transform: scale(1.04);
			}
			&:active {
				
				span {
					filter: brightness(1) contrast(1);
					transform: scale(1);
					transition: all 0.15s ease-out;
				}
				&:before {
					bottom: 0;
					filter: blur(10px) brightness(0.95);
					transition: all 0.2s ease-out;
				}
			}
		}
	}
}